/*
 *
 *   Copyright (c) 1999 - 2011 my-Channels Ltd
 *   Copyright (c) 2012 - 2019 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA, and/or its subsidiaries and/or its affiliates and/or their licensors.
 *
 *   Use, reproduction, transfer, publication or disclosure is prohibited except as specifically provided for in your License Agreement with Software AG.
 *
 */
#include "Observer.h"

#include <string>

namespace com {
namespace pcbsys {
namespace nirvana {
namespace nAdminAPI {
class nConfigGroup;
class nConfigEntry;

namespace apps {

using namespace com::pcbsys::foundation::fbase;

class realmconfig : public Observer {
  public:
    realmconfig(int argc, char** argv);

    virtual void update(Observable *pObs, void *pObj);

  private:
    void displayGroups(nConfigGroup *pGrp);
    void displayEntry(nConfigEntry *pEnt);
    virtual void getOptions(int argc, char** argv);
    static void Usage();

    std::string m_realmUrl;
};

}
}
}
}
}
