#
#   Copyright (c) 1999 - 2011 my-Channels Ltd
#   Copyright (c) 2012 - 2019 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA, and/or its subsidiaries and/or its affiliates and/or their licensors.
#
#   Use, reproduction, transfer, publication or disclosure is prohibited except as specifically provided for in your License Agreement with Software AG.
#

from NirvanaModule import *
from TxChannelPublisher import *
import time

# This sample app shows how to transactionally publish to a queue.  Because publishing to a channel
# and a queue is no different in python, please see the implementation of TxChannelPublisher
class TxQueuePublisher(TxChannelPublisher):
    
    #Override
    def usage(self): 
        print ""    
        print "TxQueuePublisher.py <rname> <queue name> [count] [size]" 
        print ""
        print " <Required Arguments>" 
        print "     <rname> - The rname to connect to e.g. nsp://localhost:9000"
        print "     <queue name> - Queue name parameter for the channel to publish to"
        print ""
        print " [Optional Arguments]"
        print "     [count] -The number of events to publish (default: 10)"
        print "     [size] - The size (bytes) of the event to publish (default: 100)"


if __name__ == "__main__":
    publisher = TxQueuePublisher(sys.argv)